WordPress.org

Ready to get started?Download WordPress

Forums

WordPress HTTPS (SSL)
[resolved] multisite SSL (12 posts)

  1. Martin777
    Member
    Posted 2 years ago #

    Dear friends,
    I have a WordPress multisite network.
    Does WordPress HTTPS (SSL) plugin fully support WP multisite installation?
    Thanks,
    Martin

    http://wordpress.org/extend/plugins/wordpress-https/

  2. Mvied
    Member
    Plugin Author

    Posted 2 years ago #

    Hey Martin,

    Yes. I just pushed out version 3.0. Please try it and let me know if you need any help.

    Sorry for the late response. I have not had time to support the plugin for a while now. Since I just pushed out 3.0, I'll be keeping an eye on the support forums to fix any bugs that arise.

    Thanks,
    Mike

  3. acjohnson1985
    Member
    Posted 2 years ago #

    I am having an issue with version 3.0 and 3.0.1 of this plugin on our multisite wordpress network. I was hoping the update to 3.0.1 would resolve the issue but it has not.

    The problem is that all child sites on our wordpress network get an error when trying to login. I then tried commenting out these lines in wp-config.php:

    define('FORCE_SSL_LOGIN', true);
    define('FORCE_SSL_ADMIN', true);

    ...and then I was able to login to the child sites but they're dashboards were unencrypted. I then went into the HTTPS settings page on one of the child sites and clicked 'force for administration' and then I was no longer able to login to that child site again and was receiving the same error message as before.

    I needed the site back online so I downgraded to 2.0.4 and the problems went away but I didn't copy/paste the errors that I got, sorry.

    I can try to replicate the issue in a test environment when I get time but I thought I'd better report the issue here first.

  4. rmcfrazier
    Member
    Posted 2 years ago #

    I have also experienced errors when using this plugin on a multisite installation. I have updated the plugin on my installation to fix most of the issues. I have a couple left, once finished, I'll contact the plugin creator to see if he wants to use the patches.

    Most of my issues involve the domain mapper plugin. I had to grab information from different sources, places that have been filtered by the domain mapper.

    I am patching the 3.0.2 version.

  5. Mvied
    Member
    Plugin Author

    Posted 2 years ago #

  6. Mvied
    Member
    Plugin Author

    Posted 2 years ago #

    I've updated the plugin to 3.0.3. Just wanted to let you know since you're working on patches.

  7. LaurynJ
    Member
    Posted 2 years ago #

    Hi, I have a multisite as well and have been experiencing mixed secure settings. I downloaded your 3.0.3 plugin but unfortunately, I'm still getting mixed settings.

  8. rmcfrazier
    Member
    Posted 2 years ago #

    I have made the patches and created a pull request on github.

  9. Mvied
    Member
    Plugin Author

    Posted 2 years ago #

    I pulled it in and made some modifications. I believe this will work for everybody. Could you pull the latest from Github and let me know if it works?

  10. rmcfrazier
    Member
    Posted 2 years ago #

    I'll get this tested today, had a busy afternoon yesterday.

  11. Mvied
    Member
    Plugin Author

    Posted 2 years ago #

    This is actually pushed up into 3.0.3 I did some testing and haven't had any issues. It appears that nobody else has either.

  12. rmcfrazier
    Member
    Posted 2 years ago #

    Sorry about this delay, go really busy at work. I also have not seen any errors. Although I do see what I think is a bug in the domain mapper plugin. I'm looking into that now.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic